#ifndef BETETRIS_H
#define BETETRIS_H

const int SQUARES = 4;
const int DIM = 17;
const int WIDTH = 10;
const int HEIGHT = 20;


const int kPieceDef[7][8] = 
	{-1, -1,  0, -1, -1,  0,  0,  0, // block
	 -1,  0,  0,  0,  1,  0,  2,  0, // line
	 -1,  0,  0,  0,  0, -1,  1, -1, // chair
	 -1, -1,  0, -1,  0,  0,  1,  0, // reverseChair
	 -1,  0,  0,  0,  1,  0,  0, -1, // pyramid
	  0,  0,  1,  0, -1,  0, -1, -1, // L
	 -1,  0,  0,  0,  1,  0,  1, -1  // ReverseL
	};

const int kColors[21] =
	{ 139,  43, 109,
	  179,  91, 204,
       57, 133, 107,
	  192,  93,  70,
	  166, 192,  72,
	  151,  62, 162,
	   61,  89, 133 
	}; 
	
enum {
	CW,
	CCW,
	LEFT,
	RIGHT
};

/* BMessages */

enum {
	mPULSE			= 'puls',
	mKEYDOWN		= 'keyd',
	mBEGIN			= 'begn',
	mQUIT			= 'quit',
	mPAUSE			= 'paus',
	mDONE			= 'done',
	mGAMEOVER		= 'gmvr',
	mABORT			= 'abrt',
	mHIGH       	= 'high',
	mCONFIGURE  	= 'cnfg',
	mNEWKEYS		= 'nwky',
	mCLEARSCORES	= 'clrs',
	mSAVEKEYS		= 'svky',
	mSTARTLEVEL     = 'slvl',
	mDEBRISROWS		= 'debr'
};
							
								
#endif