/**************************************
 * TApplication.cpp
 * Copyright  1996 Steve Sprang
 * All Rights Reserved 
 **************************************/

#include "TApplication.h"
#include "TWindow.h"
#include "BeTetris.h"

TApplication::TApplication() : BApplication('tetr')
{
	BRect				bounds;
	screen_info			info;
	
	get_screen_info(&info);
	
	bounds.Set(0,0, DIM*WIDTH + 26 + (DIM*5) +15, DIM*HEIGHT + 36);
	bounds.OffsetTo((info.frame.Width() * .5) - (0.5 * bounds.Width()),
		(info.frame.Height() * .5) - (0.5 * bounds.Height()));
	
	theWindow = new TWindow (bounds, "BeTetris v1.0");
	
	theWindow->Show();
}

void TApplication::AboutRequested()
{
	BAlert	*about;
	
	char	name[80], address[80], email[80], all[240];
	
	all[0] = NULL;
	
	strcpy(name, "BeTetris v1.0\nby Steve Sprang\nCopyright  1996\nAll rights reserved.\n\n");
	strcpy(address, "Shareware (US $5.00):\nSteve Sprang\n141 State Route 603\nShiloh, OH 44878\n\n");
	strcpy(email, "e-mail: sprang@andrew.cmu.edu");
	
	strcat(all, name);
	strcat(all, address);
	strcat(all, email);
	
	about = new BAlert("", all, "OK", NULL, NULL, B_WIDTH_AS_USUAL, B_INFO_ALERT);
	about->SetShortcut(0, B_ENTER);
	about->Go();
}

