/**************************************
 * TConfigureWindpw.h
 * Copyright  1996 Steve Sprang
 * All Rights Reserved 
 **************************************/

#include "TWindow.h"


/*******************
 * TTextView
 *******************/

class TTextView : public BTextView {
	public:
						TTextView(BRect, BRect);
		virtual void 	KeyDown(ulong);
		virtual void	SetText(ulong);
		virtual void	SetText(const char *);
	
		ulong			value;
};

/*******************
 * TLabelTextView
 *******************/

class TLabelTextView : public BView {
	public:
						TLabelTextView(BRect, const char *);
		virtual void    AttachedToWindow();
		virtual	void	SetText(ulong);
				ulong 	Key();	
	private:
		TTextView		*editField;
		BStringView 	*labelField;
};

/*******************
 * TConfigureWindow
 *******************/

class TConfigureWindow : public BWindow {
	public:
						TConfigureWindow(BRect, TWindow *, sem_id);
				void	SetKeyFields(ulong, ulong, ulong, ulong, ulong);
		virtual bool	QuitRequested();
				void	WriteKeys();
				void	SaveKeys();
				void	MessageReceived(BMessage *msg);

	private:
		TWindow				*w;
		BView				*bg;
		TLabelTextView		*left, *right, *cw, *ccw, *drop;
		sem_id				mySem;
};