/**************************************
 * Board.h
 * Copyright  1996 Steve Sprang
 * All Rights Reserved 
 **************************************/

#ifndef BOARD_H
#define BOARD_H

#include "BeTetris.h"

class TGameView;

class Board {
	public:
						Board(BView *, TGameView *, BBitmap *, int);
			bool		EmptyQ(BPoint, BPoint *);
			void		Set(BPoint, BPoint *, rgb_color);
			void		Draw();
			void		Update();
			void		FlashRows(int *rows, int num);
			int			RemoveCompletedRows();
			void		ShiftDown(int *rows, int num);
				
	private:
			rgb_color	grid[WIDTH][HEIGHT];
			rgb_color	bg_color;
			BView		*bmapview;
			BBitmap		*bmap;
			TGameView	*arena;
};

#endif